(define-module (termenv hyperlink)
  #:use-module (termenv)
  #:export (format-hyperlink
            hyperlink))

(define* (format-hyperlink link #:optional name (port #t))
  "Output a hyperlink using OSC8 to the provided port"
  (format port (hyperlink link name)))


(define* (hyperlink link #:optional name)
  "Create an OSC8 hyperlink sequence"
  (string-append %OSC "8;;" link %ST (or name link) %OSC "8;;" %ST))
