(define-module (tests test-style)
  #:use-module (termenv style)
  #:use-module (tests utils)
  #:use-module (srfi srfi-64)
  #:use-module (rnrs io ports))

(test-begin "test-style")

(verify-output
 "\x1b[1mhello there\x1b[0m"
 (format #t "~a" (bold "hello there")))

(verify-output
 "\x1b[1;3mneato\x1b[0m"
 (format #t "~a" (bold (italic "neato"))))

(verify-output
 "\x1b[1mpretty \x1b[0m\x1b[1;3mneato\x1b[0m"
 (format #t "~a" (bold "pretty " (italic "neato"))))

(verify-output
 "this is \x1b[4mimportant\x1b[0m!"
 (format #t "this is ~a!" (underline "important")))

(test-end "test-style")
