(hall-description
 (name "termenv")
 (prefix "guile")
 (version "0.1")
 (author "Vivanne Langdon")
 (email "")
 (copyright (2024))
 (synopsis "Guile port of termenv")
 (description
  "A library to provide easy control of terminals from Guile using terminal control codes.")
 (home-page "https://git.solarpunk.moe/vv/guile-termenv")
 (license gpl3+)
 (dependencies `())
 (features
  ((guix #t)
   (use-guix-specs-for-dependencies #f)
   (native-language-support #f)
   (licensing #f)))
 (files (libraries
         ((directory "termenv"
                     ((scheme-file "style")
                      (scheme-file "unix")
                      (scheme-file "hyperlink")
                      (scheme-file "screen")
                      (scheme-file "color")
                      (scheme-file "hconfig")))
          (scheme-file "termenv")))
        (tests ((directory "tests"
                           ((scheme-file "test-screen")
                            (scheme-file "test-style")))))
        (documentation
         ((org-file "README")
          (symlink "README" "README.org")
          (text-file "HACKING")
          (text-file "COPYING")
          (directory "doc"
                     ((texi-file "guile-termenv")))))
        (programs ())
        (infrastructure
         ((scheme-file "guix")
          (text-file ".gitignore")
          (scheme-file "hall")
          (directory "tests"
                     ((scheme-file "utils")))))))
